Unify and manage your data

Retrieve most time-consuming API endpoints

Use this API to retrieve latency metrics for the most time-consuming API endpoints in a Reltio tenant. The response includes execution times, operation types, and compute usage by day.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request for retrieving the most time-consuming APIs by execution time.
POST /statistics-reporting/{tenantId}/API/getMostTimeConsumingApis

Replace {tenantId} with the ID of the target tenant.

Request headers

The following request headers must be included.

HeaderValueRequired
Content-Typeapplication/jsonYes
AuthorizationBearer {access_token}Yes

Request body

The following table describes the request body parameters, including accepted values and defaults.
ParameterTypeRequiredDescriptionAccepted values / Default
from (1)LongYesStart time in epoch milliseconds
to (1)LongYesEnd time in epoch milliseconds
envStringYesTarget environment

Example: prod, qa, dev

Default: none

queryTypesArrayNoFilters by query type

Read, Write, Search, Merge, Graphs

Default: all

httpMethodsArrayNoFilters by HTTP methods

Example: POST, GET

Default: all methods

apiEndPointsArrayNoFilters by API paths

Example: /api/{tenantId}/entities

Default: all

usersArrayNoFilters by user email addresses

Example: user1@example.com

Default: all users

Note:
  1. The time range defined by the from and to values must not exceed one month. If the specified range exceeds the allowed limit, the API returns an HTTP 416 Range Not Satisfiable error with the following response:
    {
      "errors": [
        {
          "message": "Invalid time range."
        }
      ]
    }
    

Example request

Use the following example to see how a complete request is structured with headers and a JSON body.
curl -X POST https://{baseUrl}/statistics-reporting/{tenantId}/API/getMostTimeConsumingApis \
  -H "Authorization: Bearer YOUR_BEARER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "from": 1720867200000,
    "to": 1721016000000,
    "env": "prod",
    "httpMethods": ["POST"],
    "apiEndPoints": ["/api/{tenantId}/entities/_search"],
    "users": ["user1@example.com"]
  }'

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
dayLongTimestamp in milliseconds for the day the data represents
operationTypeStringOperation type (SYNC or ASYNC)
httpMethodStringHTTP method used (e.g., GET, POST)
endPointStringAPI endpoint path that was called
execTimeIntegerExecution time in milliseconds
execTimeMinutesStringExecution time formatted as minutes:seconds.milliseconds
rcuFloatReltio Compute Unit (RCU) value used for quota tracking and billing

Example response

The following example shows a response with multiple API calls, their execution times, and compute usage per day.
[
  {
    "day": 1704867200000,
    "operationType": "SYNC",
    "httpMethod": "POST",
    "endPoint": "/api/tenant123/entities/_search",
    "execTime": 4893,
    "execTimeMinutes": "00:04.893",
    "rcu": 12.4
  },
  {
    "day": 1703980800000,
    "operationType": "ASYNC",
    "httpMethod": "POST",
    "endPoint": "/api/tenant123/entities/_findConnected",
    "execTime": 3745,
    "execTimeMinutes": "00:03.745",
    "rcu": 10.4
  },
  {
    "day": 1703894400000,
    "operationType": "SYNC",
    "httpMethod": "GET",
    "endPoint": "/api/tenant123/entities/{id}/_tree",
    "execTime": 2973,
    "execTimeMinutes": "00:02.973",
    "rcu": 8.4
  }
]